Bug 591141 - The "Group Type" and "Plugin" column in the Mixed Groups resource browser should be removed. They break sorting.
The "Group Type" and "Plugin" column in the Mixed Groups resource browser sho...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Resource Grouping (Show other bugs)
1.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
:
Depends On:
Blocks: rhq_auto_blocker jon-sprint10-bugs
  Show dependency treegraph
 
Reported: 2010-05-11 10:32 EDT by John Sefler
Modified: 2010-08-12 12:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:46:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (69.21 KB, image/png)
2010-07-19 11:38 EDT, Corey Welton
no flags Details

  None (edit)
Description John Sefler 2010-05-11 10:32:20 EDT
Description of problem:
Why are the "Group Type" and "Plugin" columns displayed in the Mixed Groups resource browser?  They have no meaning for a Mixed Group.  In fact, if you click the "Group Type" or "Plugin" column header for sorting, subsequent attempts to sort another column (e.g. children) breaks.

Version-Release number of selected component (if applicable):
 RHQ
version: 3.0.0-SNAPSHOT
build number: 77727ea 

How reproducible:
always

Steps to Reproduce:
1. Create many mixed groups...
   Groups > New Group... Contains 'Mixed Resources'...  OK
2. After creating many mixed groups, browse to Groups > Mixed Groups
   Notice that the "Group Type" and "Plugin" columns are non value added.
3. Click on either the "Group Type" and "Plugin" column header as if to sort them.
4. Now click on one of the other column headers (e.g. Name, Description, Children, Descendents)
BANG!
No sorting takes place.
Comment 1 Charles Crouch 2010-05-13 15:24:00 EDT
This should be a quick fix
Comment 2 Joseph Marques 2010-07-18 02:59:16 EDT
This is no longer an issue in master or release-3.0.0 branches.  It was fixed when the browser was converted to JSF earlier this year.
Comment 3 Corey Welton 2010-07-19 08:30:49 EDT
I have verified this on the mixed group page.  Sorting works -- insofar as we don't expect to see anything in these columns on the mixed group page, but clicking them for sort does not cause an error.

However, the All Groups page does not seem to be sorting correctly.  if I have, say 15+ groups -- a combination of compatible, mixed, dynagroups etc., load that page and sort only on Plugin ("Plugin ^ 1"), it seems to sort the first 10 or so items, followed by a few more that are not in proper sort order.

Is this a related issue or should it be filed separately?  Passing back to dev for clarification.
Comment 4 Joseph Marques 2010-07-19 10:53:19 EDT
I need to know what you're seeing in more detail.  The sorting works fine for me using the reproduction steps you mention.  Also, you should know that there is no difference between the code that queries for and sorts data for the "all", "compatible", or "mixed" tabs, it's just whether the query gets passed a groupCategory filter or not.  So if you're seeing the sorting not work in one of the sub-tabs, then all of the sub-tabs should be broken.  Passing back to QA for screenshot or other information that can more clearly identify the failure.
Comment 5 Corey Welton 2010-07-19 11:38:12 EDT
Created attachment 432922 [details]
screenshot

Note the sorting at the top and then note the three results at the bottom.  The first ten results seems to be sorted ok but then these are not.  Also note that "Plugins" is the only sort on this table.
Comment 6 Joseph Marques 2010-07-19 21:36:07 EDT
After talking to Corey, it appears something may be awry with the box he was testing with (because sorting across multiple pages of the app seemed to be busted).  He's going to rebuild this box and test again, and tomorrow we'll also pick one of the upgrade-testing boxes and verify this working after an upgrade as well.
Comment 7 Corey Welton 2010-07-20 23:27:46 EDT
Going to close this bug -- I *thing* what jsefler was seeing is fixed.  The other things that I noted appear to be a different issue, bug #616634

We can reopen this if the behavior turns out not to be fixed.
Comment 8 Corey Welton 2010-08-12 12:46:58 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.